Genes Transcripts
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/genes/transcriptsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/genes/transcripts"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/genes/transcripts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"name": "<string>",
"source": "<string>",
"source_url": "<string>",
"version": "<string>",
"gene": "<string>",
"transcript": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
Genes Transcripts
Retrieve transcripts from genes.
Set verbose = true to retrieve full info on the transcripts.
At least one of these fields is required: gene_id, hgnc_id, gene_name, alias.
Example: gene_name = ATF3,
hgnc_id = HGNC:28208,
alias = CKLF,
organism = Homo sapiens,
gene_id = ENSG00000187642 (Ensembl ids).
The limit parameter controls the page size and can not exceed 100.
Pagination is 0-based.
Genes Transcripts
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/genes/transcriptsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/genes/transcripts"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/genes/transcripts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"name": "<string>",
"source": "<string>",
"source_url": "<string>",
"version": "<string>",
"gene": "<string>",
"transcript": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
Mus musculus, Homo sapiens Available options:
true, false